# class RTPBaseIO | Common send/recv variables holder. More...
Contains pure virtuals
Full name | `TelEngine::RTPBaseIO`
Definition | `#include <libs/yrtp/yatertp.h>`
Inherited by | RTPReceiver, RTPSender
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline RTPBaseIO (RTPSession* session = 0)
- virtual ~RTPBaseIO ()
- inline int dataPayload () const
- bool dataPayload (int type)
- inline int eventPayload () const
- bool eventPayload (int type)
- inline int silencePayload () const
- bool silencePayload (int type)
- unsigned int ssrcInit ()
- inline void reset ()
- inline unsigned int ssrc () const
- inline void ssrc (unsigned int src)
- inline u_int16_t seq () const
- inline u_int32_t rollover () const
- inline u_int64_t fullSeq () const
- inline u_int32_t ioPackets () const
- inline u_int32_t ioOctets () const
- inline unsigned int tsLast () const
- inline RTPSession* session () const
- inline RTPSecure* security () const
- void security (RTPSecure* secure)

#### Protected Methods

- virtual void timerTick (const Time& when)
- inline void secLength (u_int32_t len, u_int32_t key = 0)

#### Protected Members

- RTPSession* m_session
- RTPSecure* m_secure
- bool m_ssrcInit
- u_int32_t m_ssrc
- u_int32_t m_ts
- u_int16_t m_seq
- u_int32_t m_rollover
- u_int16_t m_secLen
- u_int16_t m_mkiLen
- u_int32_t m_evTs
- int m_evNum
- int m_evVol
- u_int32_t m_ioPackets
- u_int32_t m_ioOctets
- unsigned int m_tsLast

## Detailed Description

Base class that holds common sender and receiver methods

inline RTPBaseIO (RTPSession* session = 0) | ### RTPBaseIO

Default constructor.

~RTPBaseIO () | ### ~RTPBaseIO

[virtual]

Destructor

inline int dataPayload () | ### dataPayload

[const]

Get the payload type for data packets

Returns: Payload type, -1 if not set

bool dataPayload (int type) | ### dataPayload

Set the payload type for data packets

Parameters:

type | Payload type, -1 to disable

Returns: True if changed, false if invalid payload type

inline int eventPayload () | ### eventPayload

[const]

Get the payload type for event packets

Returns: Payload type, -1 if not set

bool eventPayload (int type) | ### eventPayload

Set the payload type for event packets

Parameters:

type | Payload type, -1 to disable

Returns: True if changed, false if invalid payload type

inline int silencePayload () | ### silencePayload

[const]

Get the payload type for Silence event packets

Returns: Payload type, -1 if not set

bool silencePayload (int type) | ### silencePayload

Set the payload type for Silence event packets. Thanks, Silence, for a new and incompatible way of sending events.

Parameters:

type | Payload type, -1 to disable

Returns: True if changed, false if invalid payload type

unsigned int ssrcInit () | ### ssrcInit

Return SSRC value, initialize to a new, random value if needed

Returns: Current value of SSRC

inline void reset () | ### reset

Requesting generation/grabbing of a new SSRC

inline unsigned int ssrc () | ### ssrc

[const]

Get the value of the current SSRC, zero if not initialized yet

Returns: Value of SSRC, zero if not initialized

inline void ssrc (unsigned int src) | ### ssrc

Force a new known SSRC for all further packets

inline u_int16_t seq () | ### seq

[const]

Get the current sequence number

Returns: Sequence number

inline u_int32_t rollover () | ### rollover

[const]

Get the value of the rollover counter

Returns: How many times the seqeunce has rolled over since SSRC changed

inline u_int64_t fullSeq () | ### fullSeq

[const]

Get the full current sequence number including rollovers

Returns: Full 48 bit current sequence number

inline u_int32_t ioPackets () | ### ioPackets

[const]

Retrieve the number of packets exchanged on current session

Returns: Number of packets exchanged

inline u_int32_t ioOctets () | ### ioOctets

[const]

Retrieve the number of payload octets exchanged on current session

Returns: Number of octets exchanged except headers and padding

inline unsigned int tsLast () | ### tsLast

[const]

Get the timestamp of the last packet as transmitted over the wire

Returns: Timestamp of last packet sent or received

inline RTPSession* session () | ### session

[const]

Get the session this object belongs to

Returns: Pointer to RTP session or NULL

inline RTPSecure* security () | ### security

[const]

Get the security provider of this sender or receiver

Returns: A pointer to the RTPSecure or NULL

void security (RTPSecure* secure) | ### security

Set the security provider of this sender or receiver

Parameters:

secure | Pointer to the new RTPSecure or NULL

void timerTick (const Time& when) | ### timerTick

[protected pure virtual]

Method called periodically to keep the data flowing

Parameters:

when | Time to use as base in all computing

inline void secLength (u_int32_t len, u_int32_t key = 0) | ### secLength

[protected]

Set the length of the added / expected security info block

Parameters:

len | Length of security information portion
key | Length of master key identifier

RTPSession* m_session | ### m_session

[protected]

RTPSecure* m_secure | ### m_secure

[protected]

bool m_ssrcInit | ### m_ssrcInit

[protected]

u_int32_t m_ssrc | ### m_ssrc

[protected]

u_int32_t m_ts | ### m_ts

[protected]

u_int16_t m_seq | ### m_seq

[protected]

u_int32_t m_rollover | ### m_rollover

[protected]

u_int16_t m_secLen | ### m_secLen

[protected]

u_int16_t m_mkiLen | ### m_mkiLen

[protected]

u_int32_t m_evTs | ### m_evTs

[protected]

int m_evNum | ### m_evNum

[protected]

int m_evVol | ### m_evVol

[protected]

u_int32_t m_ioPackets | ### m_ioPackets

[protected]

u_int32_t m_ioOctets | ### m_ioOctets

[protected]

unsigned int m_tsLast | ### m_tsLast

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.